View Issue Details

IDProjectCategoryView StatusLast Update
0010707mantisbtadministrationpublic2010-04-23 23:22
Reporterfburi Assigned Tojreese  
PriorityimmediateSeverityblockReproducibilityalways
Status closedResolutionunable to reproduce 
Product Version1.1.8 
Summary0010707: Application Error 2800 during signup
Description

Hey,

if i want to create a new user in the signup form, then i get this error:

APPLICATION ERROR #2800
Invalid form security token. Did you submit the form twice by accident?

Please use the "Back" button in your web browser to return to the previous page. There you can correct whatever problems were identified in this error or select another action. You can also click an option from the menu bar to go directly to a new section.


whats up?

my client is behind a proxy. i see the problem is everywhere, many users have the same problem. sorry, this is *** :o)

And yes, i have cleared my cache and removed all cookies.

thanks for your help

Frank

Steps To Reproduce

-type the addresss in the browser "http://s04/mantis/"
-click on "Signup for a new account"
-type the values in the input fields
-click "signup"
-> error

TagsNo tags attached.

Activities

jreese

jreese

2009-07-10 09:51

reporter   ~0022473

I'm unable to replicate this on my installations, in either 1.1.8 or 1.2.0rc1, even with my client behind a Squid proxy. If at all possible, configure your proxy server to not cache any pages from your Mantis installation, as it seems that the proxy server is caching pages that Mantis is marking as non-cacheable.

Alternately, if you can run traces on your proxy server to investigate why it is caching pages, and you find something that Mantis should be doing that it is not already, please reopen this report with that data. As a last resort, you can disable the form security system (a security risk) via setting "$g_form_security_validation = OFF" in your config_inc.php

SE

SE

2009-09-07 06:23

reporter   ~0022892

We also had this issue. In our PHP configuration use_cookies is disabled. We solved it with a .htacces file with this content:

php_flag session.use_cookies "1"

Issue History

Date Modified Username Field Change
2009-07-10 09:05 fburi New Issue
2009-07-10 09:51 jreese Note Added: 0022473
2009-07-10 09:51 jreese Assigned To => jreese
2009-07-10 09:51 jreese Status new => resolved
2009-07-10 09:51 jreese Resolution open => unable to reproduce
2009-07-10 09:51 jreese Summary Error APPLICATION ERROR #2800 - Again :-( => Application Error 2800 during signup
2009-09-07 06:23 SE Note Added: 0022892
2010-04-23 23:22 dhx Status resolved => closed